# Uses of Interface
java.nio.file.PathMatcher

Packages that use PathMatcher
Package
Description
java.nio.file
Defines interfaces and classes for the Java virtual machine to access files, file attributes, and file systems.

## Uses of PathMatcher in java.nio.file

Methods in java.nio.file that return PathMatcher
Modifier and Type
Method
Description
`abstract PathMatcher`
FileSystem.`getPathMatcher(String syntaxAndPattern)`
Returns a `PathMatcher` that performs match operations on the `String` representation of `Path` objects by interpreting a given pattern.